Subject: [secdir] review of draft-ietf-tls-negotiated-ff-dhe-08

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Thu, 7 May 2015 13:17:37 +0000

Hi,

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

This document modifies TLS to use a section of the “EC Named Curves” registry to advertise support for common Finite Field Diffie Hellman group parameters.

I believe the document is ready for publication.

The document is clear and I believe the approach makes sense and is potentially very helpful in establishing sensible group parameters.

--
Klaas Wierenga
Identity Architect
Cisco Cloud Services